Pular para o conteúdo principal
POST
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
/
channel-connection
Create new channel connection settings for a specific app.
curl --request POST \
  --url https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/channel-connection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isReady": true,
  "url": "<string>"
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "isReady": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

Corpo

application/json
isReady
boolean
obrigatório

Indicates whether the channel connection settings are ready.

url
string
obrigatório

The URL associated with the channel connection settings.

Resposta

successful operation

createdAt
string<date-time>
obrigatório

The date and time when the channel connection settings were created.

isReady
boolean
obrigatório

Indicates whether the channel connection settings are ready for use.

updatedAt
string<date-time>
obrigatório

The date and time when the channel connection settings were last updated.

url
string
obrigatório

The URL associated with the channel connection settings.

Last modified on April 13, 2026